Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Virtualbox 4.1 wil niet installeren op ubuntu 10.10  (gelezen 895 keer)

Offline CyberWal

  • Lid
  • Steunpunt: Nee
Virtualbox 4.1 wil niet installeren op ubuntu 10.10
« Gepost op: 2012/01/07, 15:56:19 »
Iemand die mij kan/wil helpen ? Ik had VB draaiend, maar na een upgrade naar 4.1 werkte het niet meer.
Ik heb via synaptic VB verwijderd en sindsdien blijft het herinstalleren 'hangen'. Ik zie twee ronddraaiende groene pijlen
met de tekst 'bezig' en dat blijft zo. Hoe lang ?
Als ik 'Hulpmiddelen --> Zoeken' op Virtualbox doe zie ik nog een hele rits mappen en bestanden staan.
Moet ik die eerst handmatig verwijderen ? En zo ja, welke ?

 

Offline liawim

  • Lid
  • Steunpunt: Nee
Re: Virtualbox 4.1 wil niet installeren op ubuntu 10.10
« Reactie #1 Gepost op: 2012/01/07, 17:44:25 »
heb je ook volledig verwijderd? of gewoon verwijderd.

Offline edgar

  • Lid
  • Steunpunt: Nee
Re: Virtualbox 4.1 wil niet installeren op ubuntu 10.10
« Reactie #2 Gepost op: 2012/01/07, 17:50:44 »
Ik heb hetzelfde probleem gehad. Vervolgens is het volgens onderstaande instructies wel gelukt.

http://www.webupd8.org/2011/07/virtualbox-41-released-with-gui-option.html

Daarna nog even je .vdi bestanden weer aankoppelen.
ASRock M3A785GMH AMD Athlon II X4 630 8 GiB SSD 120 GiB HD 500 GiB GeForce GT 640 Ubuntu 14.04.3
En natuurlijk wat oud ijzer om te testen ;-)

Offline Dave

  • Lid
  • Steunpunt: Nee
Re: Virtualbox 4.1 wil niet installeren op ubuntu 10.10
« Reactie #3 Gepost op: 2012/01/07, 17:53:57 »
geinstalleerd via software of download of eigen toevoeging of wat?

Offline CyberWal

  • Lid
  • Steunpunt: Nee
Re: Virtualbox 4.1 wil niet installeren op ubuntu 10.10
« Reactie #4 Gepost op: 2012/01/08, 16:08:43 »
Dank voor de reacties. Niets van dit alles heeft echter geholpen.
In pakketbeheer krijg ik de volgende mededeling:

E: Type 'wget' op regel 1 in bronlijst /etc/apt/sources.list.d/virtualbox.list is onbekend
E: Kan de lijst van bronnen niet inlezen.
Ga naar de broninstellingen om het probleem te verhelpen.
E: _cache->open() failed, please report.

En mijn sources.list ziet er zo uit:

# deb cdrom:[Ubuntu 10.10 _Maverick Meerkat_ - Release i386 (20101007)]/ maverick main restricted
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

deb http://nl.archive.ubuntu.com/ubuntu/ maverick main restricted
deb-src http://nl.archive.ubuntu.com/ubuntu/ maverick main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://nl.archive.ubuntu.com/ubuntu/ maverick-updates main restricted
deb-src http://nl.archive.ubuntu.com/ubuntu/ maverick-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://nl.archive.ubuntu.com/ubuntu/ maverick universe
deb-src http://nl.archive.ubuntu.com/ubuntu/ maverick universe
deb http://nl.archive.ubuntu.com/ubuntu/ maverick-updates universe
deb-src http://nl.archive.ubuntu.com/ubuntu/ maverick-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://nl.archive.ubuntu.com/ubuntu/ maverick multiverse
deb-src http://nl.archive.ubuntu.com/ubuntu/ maverick multiverse
deb http://nl.archive.ubuntu.com/ubuntu/ maverick-updates multiverse
deb-src http://nl.archive.ubuntu.com/ubuntu/ maverick-updates multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb http://nl.archive.ubuntu.com/ubuntu/ maverick-backports main restricted universe multiverse
# deb-src http://nl.archive.ubuntu.com/ubuntu/ maverick-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
deb http://archive.canonical.com/ubuntu maverick partner
deb-src http://archive.canonical.com/ubuntu maverick partner

## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
deb http://extras.ubuntu.com/ubuntu maverick main
deb-src http://extras.ubuntu.com/ubuntu maverick main

deb http://security.ubuntu.com/ubuntu maverick-security main restricted
deb-src http://security.ubuntu.com/ubuntu maverick-security main restricted
deb http://security.ubuntu.com/ubuntu maverick-security universe
deb-src http://security.ubuntu.com/ubuntu maverick-security universe
deb http://security.ubuntu.com/ubuntu maverick-security multiverse
deb-src http://security.ubuntu.com/ubuntu maverick-security multiverse
deb http://www.ftd4linux.nl/releases/ubuntu maverick main
deb-src http://www.ftd4linux.nl/releases/ubuntu maverick main
deb http://www.ftd4linux.nl/releases/ubuntu maverick main
deb-src http://www.ftd4linux.nl/releases/ubuntu maverick main


Waar zit de fout ? Ik zie hem niet.

« Laatst bewerkt op: 2012/01/08, 16:57:02 door Prosper »

Offline CyberWal

  • Lid
  • Steunpunt: Nee
Re: Virtualbox 4.1 wil niet installeren op ubuntu 10.10
« Reactie #5 Gepost op: 2012/01/08, 16:13:30 »
@Dave : geinstalleerd via synaptic en later nog eenmaal via download deb-pakket.

Offline Prosper

  • Forumteam
  • Steunpunt: Nee
Re: Virtualbox 4.1 wil niet installeren op ubuntu 10.10
« Reactie #6 Gepost op: 2012/01/08, 16:57:58 »
Geef het resultaat van cat /etc/apt/sources.list.d/virtualbox.listhier eens weer.
Je hebt nog een ewtra sources.list en die vraag je daarmee op...
Omwille van de besparingen hebben ze het licht aan het eind van de tunnel ook uitgedaan...

Offline CyberWal

  • Lid
  • Steunpunt: Nee
Re: Virtualbox 4.1 wil niet installeren op ubuntu 10.10
« Reactie #7 Gepost op: 2012/01/08, 18:22:52 »
OK Prosper komt ie

wget -q http://download.virtualbox.org/virtualbox/debian/oracle_vbox.asc -0-
sudo apt-key add -
sudo apt-get update
sudo apt-get install virtualbox-4.1



Offline Prosper

  • Forumteam
  • Steunpunt: Nee
Re: Virtualbox 4.1 wil niet installeren op ubuntu 10.10
« Reactie #8 Gepost op: 2012/01/08, 19:02:34 »
EDIT:

Er ontbreekt één regel en blijkbaar heb je een aantal dingen fout gedaan. Begin met dit bestand weg te knikkeren:

sudo rm /etc/apt/sources.list.d/virtualbox.list
voer dan, regel per regel, de volgende vijf commando's uit in een terminal.

echo "deb http://download.virtualbox.org/virtualbox/debian $(lsb_release -sc) contrib" | sudo tee /etc/apt/sources.list
wget -q http://download.virtualbox.org/virtualbox/debian/oracle_vbox.asc -O- | sudo apt-key add -
sudo apt-get update
sudo apt-get install virtualbox-4.1
Doe dit best met kopiëren en plakken.
Voor de mede-forumleden: bemerk dat ik er voor gekozen heb om de repository toe te voegen aan de gewone sources.list en niet in een apart bestand. Zoals dit draadje aantoont, zorgt dat meestal alleen voor verwarring.
« Laatst bewerkt op: 2012/01/08, 19:11:42 door Prosper »
Omwille van de besparingen hebben ze het licht aan het eind van de tunnel ook uitgedaan...

Offline CyberWal

  • Lid
  • Steunpunt: Nee
Re: Virtualbox 4.1 wil niet installeren op ubuntu 10.10
« Reactie #9 Gepost op: 2012/01/09, 12:42:38 »
OK Prosper,
Virtualbox werkt weer ! Alvast hartelijk dank hiervoor !
Alleen als ik probeer Windows XP erop te zetten krijg ik de melding dat /etc/init.d/vboxdrv
een probleem heeft. Als ik de aanbevolen opdracht: sudo /etc/init.d/vboxdrv setup geef, krijg ik: command not found.
Van DKMS is versie 2.1.1.2-3ubuntu1.1 geinstalleerd. Kun je me verder helpen of moet ik een
ander topic zoeken ?

Offline Prosper

  • Forumteam
  • Steunpunt: Nee
Re: Virtualbox 4.1 wil niet installeren op ubuntu 10.10
« Reactie #10 Gepost op: 2012/01/09, 19:11:33 »
Heb je echt geen tikfouten gemaakt ?
Of staat er misschien nog iets anders bij de foutmeldingen ?
Hier moet dan verder iemand anders maar op inspringen. Werk al tijden niet meer met virtuele dozen... :(
Omwille van de besparingen hebben ze het licht aan het eind van de tunnel ook uitgedaan...

Offline CyberWal

  • Lid
  • Steunpunt: Nee
Re: Virtualbox 4.1 wil niet installeren op ubuntu 10.10
« Reactie #11 Gepost op: 2012/01/10, 13:39:34 »
Ok, ik zoek verder. Nogmaals bedankt

Offline Dave

  • Lid
  • Steunpunt: Nee
Re: Virtualbox 4.1 wil niet installeren op ubuntu 10.10
« Reactie #12 Gepost op: 2012/01/10, 15:25:51 »
Krijg die melding ook bij die opdracht maar geen idee waarom het nodig zou zijn.

In vb klikken op nieuw om een schijf en systeem aan te maken.
Kies het niet te klein en dynamische grootte.
Dan kun je opstarten vanaf een cd of een image bestand.


Offline liawim

  • Lid
  • Steunpunt: Nee
Re: Virtualbox 4.1 wil niet installeren op ubuntu 10.10
« Reactie #13 Gepost op: 2012/01/10, 16:19:31 »
OK Prosper,
Virtualbox werkt weer ! Alvast hartelijk dank hiervoor !
Alleen als ik probeer Windows XP erop te zetten krijg ik de melding dat /etc/init.d/vboxdrv
een probleem heeft. Als ik de aanbevolen opdracht: sudo /etc/init.d/vboxdrv setup geef, krijg ik: command not found.
Van DKMS is versie 2.1.1.2-3ubuntu1.1 geinstalleerd. Kun je me verder helpen of moet ik een
ander topic zoeken ?

staat er bij /etc/init.d/vboxdrv in de bestand naam voor welke versie het is? (maverick of oneiric)
anders moet je dat hernoemen naar de juiste versie.